package org.xyzh.common.core.enums;

public enum ResourceType {
    
    NEWS(1, "新闻", "新闻"),
    COURSE(2, "课程", "课程"),
    TASK(3, "任务", "任务"),
    DEPT(4, "部门", "部门"),
    ROLE(5, "角色", "角色"),
    ACHIEVEMENT(6, "成就", "成就"),
    CRONTAB_TASK(7, "定时任务", "定时任务"),
    BANNER(8, "轮播图", "轮播图"),
    TAG(9, "标签", "标签"),
    AI_KNOWLEDGE(10, "AI知识库", "AI知识库");

    private int code;
    private String name;
    private String description;

    ResourceType(int code, String name, String description) { 
        this.code = code;
        this.name = name;
        this.description = description;
    }

    public int getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }
}
